Bug 433422 - Review Request: perl-IP-Country - Fast lookup of country codes from IP addresses
Review Request: perl-IP-Country - Fast lookup of country codes from IP addresses
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-02-19 02:51 EST by Andreas Thienemann
Modified: 2008-06-04 16:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 16:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2008-02-19 02:51:11 EST
Spec URL: http://home.bawue.de/~ixs/perl-IP-Country/perl-IP-Country.spec
SRPM URL: http://home.bawue.de/~ixs/perl-IP-Country/perl-IP-Country-2.23-1.fc7.src.rpm
Description:
IP::Country allows fast lookups of IP addresses and their corresponding
countries based on available regional NIC data.
Although the country of assignment will probably be the country associated
with a large ISP rather than the client herself, this is probably good 
enough for most log analysis applications, and under test has proved to be as
accurate as reverse-DNS and WHOIS lookup.
Comment 1 Jason Tibbitts 2008-02-19 13:37:39 EST
The copyrights for the databases look rather non-free to me; see
http://search.cpan.org/dist/IP-Country/lib/IP/Country.pm.  I don't actually see
the databases included in the package, but the manpage says "derived from" and
I'm not enough of a lawyer to tell if the package is actually free of those
copyrights.

Has this package been looked over and been declared OK?  If not, perhaps this
should block FE-Legal.
Comment 2 Andreas Thienemann 2008-02-19 17:40:40 EST
The database copyright is not exactly free. But that should not be a problem for
fedora as the databases are not shipped.

The package does contain the scripts to generate a local cached copy of the
database dump though. These scripts are packaged as docs in the utils subpackage.

I do not consider this a FE-LEGAL blocker though. Would you agree?
Comment 3 Andreas Thienemann 2008-02-19 17:45:24 EST
On a closer look, the *.gif files are no images as I first assumed but are the
data files...
I guess the better solution would be to drop these and just package a script
generating these from the source...

Comment 4 Jason Tibbitts 2008-02-19 19:38:22 EST
I was wondering what .gif files were doing in a perl module.  But if you remove
them, what use is the module?  We do have other packages which will download
data which is not free enough for us to distribute, but that data is still free
to use, whereas this data is not even free to use in all circumstances.

So, yeah, I do think input is needed, either from legal or from one of the
various committees.
Comment 5 Jason Tibbitts 2008-03-02 13:51:17 EST
I guess I forgot to set the legal blocker here; I'll do that now.
Comment 6 Tom "spot" Callaway 2008-04-01 11:29:45 EDT
Asking the lawyers on this one.
Comment 7 Tom "spot" Callaway 2008-05-12 16:59:50 EDT
Red Hat Legal agrees with me that the database licenses are non-free. I think
this one is dead in the water, sorry.

Note You need to log in before you can comment on or make changes to this bug.